<template>
	<fullscreen :fullscreen.sync="fullscreen" class="container">
		<div class="container-box">
			<toolList @iconCli='iconCli' :tooltit='tooltit'></toolList>
			<div style="overflow: hidden;">
				<el-button style="float: right;margin-top: 10px;" type="primary" @click="dialogCheck(3)">添加</el-button>
				<el-button style="float: right;margin-top: 10px;margin-right: 20px;" type="primary"
					@click="getStanding">台账</el-button>
			</div>
			<div class="tabbox">
				<el-table height="calc(100% - 40px)" class="com-table" ref="multipleTable" :data="tableData"
					tooltip-effect="dark" size="small" border style="width: 100%" v-loading="loading">
					<el-table-column prop="woTitle" label="业务名称">
					</el-table-column>
					<el-table-column prop="opName" label="申请姓名">
					</el-table-column>
					<el-table-column prop="createTime" label="申请时间">
					</el-table-column>
					<el-table-column prop="stsDesc" label="状态">
					</el-table-column>
					<el-table-column label="操作" width="120px" align="center">
						<template slot-scope="scope">
							<el-button size="mini" type="primary" @click="dialogCheck(1,scope.row)">查看</el-button>
							<el-button size="mini" type="danger" v-if="scope.row.sts != 1"
								@click="dialogCheck(2,scope.row)">处理</el-button>
							<!-- <el-button size="mini" type="danger" @click="delLine(scope.row)">删除</el-button> -->
						</template>
					</el-table-column>
				</el-table>
				<el-pagination class="pageBox" @current-change="currchange" layout="prev, pager, next" background
					:total="total">
				</el-pagination>
			</div>
		</div>

		<el-dialog :title="titname" :visible.sync="dialogStatus" width="50%" :destroy-on-close="true"
			:modal-append-to-body="false" :close-on-click-modal="false" :before-close="closedia" :fullscreen="true">
			<div v-loading="loadinged">
				<el-form :model="infolist" ref="infolist" :rules="rules"
					style="height: calc(100vh - 180px);overflow-y: scroll;">
					<div class="info-line">
						<el-form-item prop="woName">
							<span>工单名称</span>
							<el-input v-model="infolist.woName" placeholder="工单名称" :disabled="disableStatus">
							</el-input>
						</el-form-item>
						<el-form-item prop="terminal">
							<span>申请流程</span>
							<el-select clearable v-model="terminal" placeholder="申请流程" :disabled="disableStatus">
								<el-option v-for="items in options" :key="items.procId" :label="items.procName"
									:value="items.procId">
								</el-option>
							</el-select>
						</el-form-item>
					</div>
					<el-form-item class="info-line online">
						<span>正文内容</span>
						<el-input v-model="infolist.textContent" placeholder="正文内容" type="textarea" :autosize="{ minRows: 4, maxRows: 10}"
							:disabled="disableStatus">
						</el-input>
					</el-form-item>

					<div style="padding:0 20px 0 120px;margin-bottom: 20px;" v-if="disableStatus">
						<uploadDown :datalist="datalist" :dialogStatus="uploadstatus"></uploadDown>
					</div>
					<div style="padding-left: 100px" v-if="!disableStatus">
						<myUpload @uploadBack="uploadBack" :fileInfo="fileInfo" :fileList="fileInfo.fileList">
						</myUpload>
					</div>


					<div style="margin: 20px 0;padding: 0 20px;">
						<el-table class="com-table" ref="multipleTable" :data="infodatas" tooltip-effect="dark"
							size="small" border style="width: 100%">
							<el-table-column prop="infoName" label="合作伙伴名称">
								<template slot-scope="scope">
									<el-input v-model="scope.row.factoryName" :disabled="titname != '添加'&&vision != '流程发起'"></el-input>
								</template>
							</el-table-column>
							<el-table-column prop="infoCode" label="评估时间">
								<template slot-scope="scope">
									<el-date-picker :disabled="titname != '添加'&&vision != '流程发起'" v-model="scope.row.assessTime" type="date">
									</el-date-picker>
								</template>
							</el-table-column>
							<el-table-column prop="infoResult" label="评估打分">
								<template slot-scope="scope">
									<el-input v-model="scope.row.assessScore" :disabled="titname != '添加'&&vision != '流程发起'"></el-input>
								</template>
							</el-table-column>
							<el-table-column prop="infoIf" label="后续管理动作">
								<template slot-scope="scope">
									<el-input v-model="scope.row.followAction" :disabled="titname != '添加'&&vision != '流程发起'"></el-input>
								</template>
							</el-table-column>
							<el-table-column prop="infoTime" label="管理动作落地执行情况">
								<template slot-scope="scope">
									<el-input v-model="scope.row.exeCon" :disabled="vision != '填报信息'||titname == '查看'"></el-input>
								</template>
							</el-table-column>
							<el-table-column label="操作" width="120px" align="center" v-if="titname == '添加'">
								<template slot-scope="scope">
									<el-button size="mini" type="primary" @click="choline(1,scope)">添加</el-button>
									<el-button size="mini" type="danger" @click="choline(2,scope)">删除</el-button>
								</template>
							</el-table-column>
						</el-table>
					</div>


					<el-form-item class="info-line online" v-if="vision == '审批'">
						<span>审批说明</span>
						<el-input v-model="remark" placeholder="审批说明" type="textarea" :autosize="{ minRows: 4, maxRows: 10}"
							:disabled="titname == '查看'">
						</el-input>
					</el-form-item>

					<div style="margin-bottom: 20px;padding: 0 20px;" v-if="titname != '添加'">
						<el-table class="com-table" ref="multipleTable" :data="rovaList" tooltip-effect="dark"
							size="small" border style="width: 100%">
							<el-table-column prop="taskId" label="编号">
							</el-table-column>
							<el-table-column prop="taskName" label="环节">
							</el-table-column>
							<el-table-column prop="assigneeName" label="处理人">
							</el-table-column>
							<el-table-column prop="assigneeNo" label="处理人工号">
							</el-table-column>
							<el-table-column prop="opTime" label="处理时间">
							</el-table-column>
							<el-table-column prop="remark" label="备注">
							</el-table-column>
						</el-table>
					</div>
				</el-form>

				<div slot="footer" class="dialog-footer myfooter">
					<el-button v-if="titname != '查看' && vision == '流程发起'" type="primary" @click="checkexa = true">确 定
					</el-button>
					<el-button v-if="titname != '查看' && vision == '填报信息'" type="primary" @click="dialogCli(2)">确 定
					</el-button>
					<el-button v-if="titname != '查看' && vision == '审批'" type="primary" @click="checkexa = true">通 过
					</el-button>
					<el-button v-if="titname != '查看' && vision == '审批'" type="primary" @click="dialogCli(1)">打 回
					</el-button>
                    <el-button v-if="titname == '添加'" type="primary" @click="temp">保 存</el-button>
					<el-button v-if="titname == '添加'" type="primary" @click="checkexa = true">确 定</el-button>
					<el-button v-if="titname == '查看'" @click="dialogCli(3)">确 定</el-button>
					<el-button @click="dialogCli(3)">取 消</el-button>
				</div>
			</div>
		</el-dialog>

        <el-dialog title="选择审批人" :visible.sync="checkexa" width="50%" :destroy-on-close="true"
        	:modal-append-to-body="false" :close-on-click-modal="false">
        	<div>

        		<el-form :model="infolist" ref="infolist" :rules="rules">
        			<el-form-item prop="visiblec" class="info-line online">
        				<span>审批人员</span>
        				<deptTreeOnly class="tree" @treeCheck="treeCheckonly" :defaultList="defaultList"
        					:type="depttype" :closeList="closeList"></deptTreeOnly>
        				<div class="tree treeUser">
        					<p>{{treeListonly.leaderAuditName}}
        						<i v-if="treeListonly.leaderAuditName" @click="deletes()"
        							class="el-icon-error"></i>
        					</p>
        				</div>
        			</el-form-item>
        		</el-form>

        		<div slot="footer" style="text-align: right;padding-bottom: 20px;">
        			<el-button type="primary" @click="dialogCliadd" v-if="!visionchonly">确 定</el-button>
        			<el-button type="primary" @click="dialogCli(2)" v-if="visionchonly">确 定</el-button>
        			<el-button @click="checkexa = false">取 消</el-button>
        		</div>
        	</div>
        </el-dialog>


		<myMessage :messTit='messTit' @closeMessage="closeMessage" :centerDialogVisible="centerDialogVisible"
			v-if="centerDialogVisible"></myMessage>
	</fullscreen>

</template>
<script>
	import mySearch from "../../../components/search.vue";
	import myMessage from "../../../components/myMessage.vue"
	import toolList from '../../../components/toolList'
	import myUpload from '../../../components/upload'
	import uploadDown from '../../../components/uploadDown.vue'
    import deptTreeOnly from "../../../components/deptTreeOnly.vue"

	export default {
		components: {
			mySearch,
			myMessage,
			toolList,
			myUpload,
			uploadDown,
            deptTreeOnly
		},
		data() {
			const woName = (rule, value, callback) => {
				if (!this.infolist.woName) {
					callback(new Error('不能为空'))
				} else {
					callback()
				}
			}
			const terminal = (rule, value, callback) => {
				if (!this.terminal) {
					callback(new Error('不能为空'))
				} else {
					callback()
				}
			}
			return {
				rules: {
					woName: [{
						required: true,
						trigger: 'blur',
						validator: woName
					}],
					terminal: [{
						required: true,
						trigger: 'change',
						validator: terminal
					}],
				},
				tooltit: '线上渠道合作运营',
				fullscreen: false,
				total: 0,
				pageSize: 1,
				tableData: [{}],
				dialogStatus: false,
				disableStatus: false,
				titname: '',
				infolist: {

				},
				userInfo: {},
				params: {},
				centerDialogVisible: false,
				messTit: '',
				delid: '',
				loading: false,
				loadinged: false,
				fileInfo: {
					limit: 5,
					url: '/bpm/api/upload',
					fileList: []
				},
				rovaList: [],
				vision: '',
				datalist: {
					url: '/bpm/api/download',
					type: 1
				},
				uploadstatus: false,
				rovaList: [],
				mydisable: 1,
				opname: '',
				opno: '',
				attList: [],
				options: [],
				terminal: '',
				remark: '',
				visionsts: '1',
				ifopt: [{
					id: 1,
					name: '是'
				}, {
					id: 0,
					name: '否'
				}],
				infodatas: [{}, {}, {}, {}, {}],
                checkexa: false,
                treeListonly: {},
                defaultList: [],
                closeList: false,
                visionchonly: false,
                depttype: 0,
                tempSave: false,
			}
		},
        watch:{
            tempSave (value) {
                if (value) {
                    // 监听编辑状态，每20秒请求一次，注意函数不加（）
                    this.timer = window.setInterval(this.temp, 20000)
                } else {
                    // 停止监听
                    clearInterval(this.timer)
                }
            }
        },
		methods: {
            temp() {
                if (JSON.stringify(this.infolist)=='{}') {
                    return;
                }
                let params = {};
                params.infolist = this.infolist
                params.fileList = [];
                params.attList = [];
                this.attList.forEach(item => {
                    let file = {
                        id: item.fileCode,
                        fileCode: item.fileCode,
                        fileName: item.fileName,
                        name: item.fileName
                    };
                    params.fileList.push(file);
                    params.attList.push(file);
                });
                this.$http({
                    url: "/market/bpmTemp/temp",
                    method: "post",
                    headers: {
                        "Content-Type": "application/json",
                    },
                    data: {
                        bpmType: "5",
                        content: JSON.stringify(params),
                    },
                }).then((res) => {
                    //console.log(res)
                });
            },
            deletes() {
            	this.treeListonly = {};
            	this.closeList = !this.closeList;
            },
            treeCheckonly(v) {
            	this.treeListonly = v;
            },

			choline(v, n) {
				if (v == 1) {
					this.infodatas.push({})
				} else {
					this.infodatas.splice(n.$index, 1)
				}
			},
			closedia() {
				this.infolist = {};
				this.attList = [];
				this.fileInfo.fileList = [];
				this.dialogStatus = false;
				this.checkexa = false;
			},
			//获取列表
			getList(v, n) {
				this.pageSize = n;
				let _this = this;
				this.loading = true;
				v.procName = "合作运营流程";
				this.$http({
					url: "/bpm/api/queryToDoAndFinishTaskList",
					method: "post",
					headers: {
						"Content-Type": "application/json",
						"page": '{"pageNo":"' + n + '","pageSize":"10"}'
					},
					data: v,
				}).then((res) => {
					this.tableData = res.data.data;
					this.total = res.data.totalRecord;
					this.loading = false;
				});
			},
			// 分页
			currchange(v) {
				this.pageSize = v;
				this.getList(this.params, this.pageSize);
			},
			//申请
			dialogCheck(v, n) {
				this.dialogStatus = true;
				let infolist = Object.assign({}, n);
				this.vision = '';
				this.visionsts = '';
				this.infodatas = [{}, {}, {}, {}, {}];
				if (v === 1) {
					this.titname = '查看';
					this.disableStatus = true;
				} else if (v === 2) {
					this.titname = '审批';
					this.disableStatus = true;
				} else if (v === 3) {
                    this.$http({
                        url: '/market/bpmTemp/query',
                        method: "post",
                        headers: {"Content-Type": "application/json",},
                        data: {bpmType: "5"},
                    }).then((res) => {
                        if (res.data) {
                            let content = JSON.parse(res.data.content);
                            this.infolist = content.infolist;
                            this.attList = content.attList;
                            this.fileInfo.fileList =  content.fileList;
                        }
                        this.tempSave = true;
                        this.titname = '添加';
                        this.disableStatus = false;
                    });
                    return
				}
				this.$http({
					url: '/bpm/api/taskInit',
					method: "post",
					headers: {
						"Content-Type": "application/json",
					},
					data: {
						woNo: n.woNo
					},
				}).then((res) => {
					// this.infolist = Object.assign({}, res.data);
					this.terminal = infolist.procId;
					this.opname = res.data.opName;
					this.opno = res.data.opNo;
					this.infolist = JSON.parse(res.data.params.terminalRes);
					this.infodatas = JSON.parse(res.data.params.factoryList);
					this.infolist.procId = infolist.procId;
					this.infolist.procVersion = infolist.procVersion;
					this.remark = infolist.remark;
					this.infolist.stepId = infolist.stepId;
					this.infolist.taskId = infolist.taskId;
					this.infolist.taskName = infolist.taskName;
					this.infolist.opName = infolist.opName;
					this.infolist.opNo = infolist.opNo;
					this.infolist.opTime = infolist.opTime;
					this.infolist.woNo = infolist.woNo;
                    this.visionchonly = false;
					if (res.data.taskList[res.data.taskList.length - 1].taskName == '流程发起') {
						this.vision = '流程发起';
						if(this.titname == '审批'){
							this.disableStatus = false;
						}
                        this.visionchonly = true;
					} else if (res.data.taskList[res.data.taskList.length - 1].taskName == '科室主任审批') {
						this.vision = '审批';
                        this.visionchonly = true;
					} else if (res.data.taskList[res.data.taskList.length - 1].taskName == '主管副总审批') {
						this.vision = '审批';
						this.visionsts = '2';
                        this.visionchonly = true;
					} else if (res.data.taskList[res.data.taskList.length - 1].taskName == '填报信息') {
						this.vision = '填报信息';
					}
					this.datalist.attList = JSON.parse(res.data.params.attList);
					this.attList = [];
					this.fileInfo.fileList = [];
					this.datalist.attList.forEach(item => {
						item.id = item.attchFileId;
						this.fileInfo.fileList.push({
							name: item.fileName,
							url: '',
							id: item.id,
							attchFileId: item.attchFileId,
							fileName: item.fileName
						});
						this.attList.push({
							name: item.fileName,
							url: '',
							id: item.id,
							attchFileId: item.attchFileId,
							fileName: item.fileName
						});
					})
					this.rovaList = res.data.taskList;
					this.uploadstatus = true;
				});
			},
			//审批
			dialogCli(v) {
				this.dialogStatus = false;
				if (v === 3) {
					this.infolist = {};
					this.attList = [];
					this.fileInfo.fileList = [];
                    this.checkexa = false;
					return
				}
				let _this = this;
				this.infolist.opTime = _this.$formatDate(new Date(), "YYYY-MM-DD")
				if (v === 1) {
					let params = {
						dealType: '1',
						dealTypeDesc: '打回',
						procId: this.infolist.procId,
						procVersion: this.infolist.procVersion,
						remark: this.remark,
						stepId: this.infolist.stepId,
						taskId: this.infolist.taskId,
						taskName: this.infolist.taskName,
						opName: this.infolist.opName,
						opNo: this.opno,
						opTime: this.infolist.opTime,
						params: {
							procExeCondiVal: '不同意',
							terminalRes: JSON.stringify(this.infolist),
							factoryList: JSON.stringify(this.infodatas),
							assigneeNo: this.opno,
							assigneeName: this.opname,
						},
						woNo: this.infolist.woNo,
					}
					this.submitInfo("/bpm/api/submitTask", params);
				} else if (v === 2) {
					let param = {
						dealType: '0',
						dealTypeDesc: '提交',
						procId: this.infolist.procId,
						procVersion: this.infolist.procVersion,
						remark: this.remark,
						stepId: this.infolist.stepId,
						taskId: this.infolist.taskId,
						taskName: this.infolist.taskName,
						opName: this.infolist.opName,
						opNo: this.opno,
						opTime: this.infolist.opTime,
						params: {
							woType: this.infolist.woType,
							terminalRes: JSON.stringify(this.infolist),
							factoryList: JSON.stringify(this.infodatas)
						},
						woNo: this.infolist.woNo,

					}
					// if(this.vision == '审批'&&this.visionsts == '2'){
					// 	param.params.assigneeNo=this.opno;
					// 	param.params.assigneeName=this.opname;
					// }
                    param.params.assigneeNo = this.treeListonly.leaderAuditNo;
                    param.params.assigneeName = this.treeListonly.leaderAuditName;
					if (this.vision == '流程发起') {
						let attList = [];
						for (let i = 0; i < this.attList.length; i++) {
							attList.push({
								id: this.attList[i].id,
								fileCode: this.attList[i].fileCode,
								fileName: this.attList[i].fileName,
								opName: this.attList[i].opName,
								opNo: this.attList[i].opNo,
								opTime: this.attList[i].opTime,
								woNo: this.infolist.woNo,
								attchFileId: this.attList[i].attchFileId,
							});
						}
						param.params.attList = JSON.stringify(attList)

                        this.$http({
                            url: "/market/bpmTemp/del",
                            method: "post",
                            headers: {
                                "Content-Type": "application/json",
                            },
                            data: {
                                bpmType: "5",
                            },
                        }).then((res) => {
                            //console.log(res)
                        });
					}
					this.submitInfo("/bpm/api/submitTask", param);
				}
			},
			//添加
			dialogCliadd(v) {
				let _this = this;
				let info = {};
				info.opTime = _this.$formatDate(new Date(), "YYYY-MM-DD");
				info.opNo = this.userInfo.loginNo;
				info.opName = this.userInfo.loginName;
				info.woTitle = this.infolist.woName;
				info.params = {};
				info.params.terminalRes = this.infolist;
				let infodatas = [];
				for (let i = 0; i < this.infodatas.length; i++) {
					if (this.infodatas[i].factoryName || this.infodatas[i].assessTime || this.infodatas[i].assessScore || this.infodatas[i].followAction) {
						this.infodatas[i].assessTime = this.infodatas[i].assessTime?this.$formatDate(this.infodatas[i].assessTime, "YYYY-MM-DD"):'';
						infodatas.push(this.infodatas[i])
					}
				}
				info.params.factoryList = infodatas;
				info.procId = this.terminal;
				for (let i = 0; i < this.options.length; i++) {
					if (this.terminal == this.options[i].procId) {
						info.procName = this.options[i].procName;
						info.procVersion = this.options[i].procVersion;
					}
				}
				let attList = [];
				for (let i = 0; i < this.attList.length; i++) {
					attList.push({
						id: this.attList[i].id,
						fileCode: this.attList[i].fileCode,
						fileName: this.attList[i].fileName,
						opName: this.attList[i].opName,
						opNo: this.attList[i].opNo,
						opTime: this.attList[i].opTime,
						woNo: this.infolist.woNo,
						attchFileId: this.attList[i].attchFileId,
					});
				}
                info.params.assigneeNo = this.treeListonly.leaderAuditNo;
                info.params.assigneeName = this.treeListonly.leaderAuditName;
				info.params.attList = JSON.stringify(attList)
				info.params.terminalRes = JSON.stringify(info.params.terminalRes);
				info.params.factoryList = JSON.stringify(info.params.factoryList);

				this.submitInfo("/bpm/api/startProc", info);
			},

			submitInfo(u, v) {
				let _this = this;
				this.$refs.infolist.validate(valid => {
					if (valid) {
						this.$http({
							url: u,
							method: "post",
							headers: {
								"Content-Type": "application/json",
							},
							data: v,
						}).then((res) => {
							if (res.data.result === 1) {
								_this.$message({
									message: res.data.desc,
									type: 'error'
								});
							} else {
								_this.$message({
									message: '成功',
									type: 'success'
								});
								_this.closedia();
								_this.infolist = {};
								_this.attList = [];
								_this.fileInfo.fileList = [];
                                _this.checkexa = false;
								_this.getList(this.params, this.pageSize);
							}

						});
					}
				})
			},
			getStanding() {
				this.$router.push({
					path: '/yStanding',
				});
				this.setabList('运营流程台账', '/yStanding');
			},
			setabList(n, p) {
				let params = {
					children: "",
					name: n,
					rountPath: p,
					target: "_self",
				};
				for (let i = 0; i < this.$store.state.tabList.length; i++) {
					if (this.$store.state.tabList[i].name === params.name) {
						this.$store.state.tabList[i] = params;
					}
				}
				let set = new Set([...this.$store.state.tabList, params]);
				set.add(params);
				this.$store.commit("setDefaultActive", params.rountPath);
				this.$store.commit("setTabList", Array.from(set));
			},
			//流程
			getTermianl() {
				this.$http({
					url: "/bpm/api/queryBpmProcList",
					method: "post",
					headers: {
						"Content-Type": "application/json",
						"page": '{"pageNo":"' + 1 + '","pageSize":"100"}'
					},
					data: {},
				}).then((res) => {
					this.options = res.data.data;
				});
			},
			closeMessage(v) {
				this.centerDialogVisible = false;
				let _this = this;
				if (v === 1) {
					_this.$http({
						url: "/bpm/api/deleteBpmPrePlugin",
						method: "post",
						headers: {
							"Content-Type": "application/json",
						},
						data: {
							id: this.delid
						},
					}).then((res) => {
						if (res.data.result === 1) {
							_this.$message({
								message: res.data.desc,
								type: 'error'
							});
						} else {
							_this.$message({
								message: '删除成功',
								type: 'success'
							});
							_this.getList(this.params, this.pageSize);
						}
					});
				}
			},
			//删除
			delLine(v) {
				this.centerDialogVisible = true;
				this.messTit = '即将删除此条数据, 是否删除?';
				this.delid = v.id;
			},
			//文件返回值
			uploadBack(v) {
				this.attList = v;
			},
			//功能栏
			iconCli(v) {
				if (v === 1) {
					this.getList(this.params, this.pageSize);
				}
				if (v === 2) {
					this.fullscreen = !this.fullscreen
				}
			},
			getUser() {
				this.userInfo = JSON.parse(window.sessionStorage.userInfo);

			}
		},
		mounted() {
			this.getList({}, 1);
			this.getUser();
			this.getTermianl();
		},
		created() {

		}
	}
</script>
<style scoped lang="scss">
	.onetab {
		margin-bottom: 20px;
		padding: 0 20px;
	}

	.titbox {
		div {
			float: right;

			i {
				font-size: 22px;
				margin-left: 20px;
				cursor: pointer;
			}
		}
	}

	.tabbox {
		margin-top: 15px;
	}

	.pageBox {
		text-align: right;
		margin-top: 10px;
	}

	.info-line {
		width: 100%;
		display: block;
		padding-left: 20px;

		div {
			width: 50%;
			display: inline-block;
		}

		span {
			width: 100px;
			display: inline-block;
			text-align: left;

			i {
				color: red;
				display: inline-block;
				padding-right: 5px;
			}
		}

		.el-select,
		.el-input {
			width: calc(100% - 120px);
		}
	}

	.online {
		width: 100%;

		.el-select {
			width: calc(100% - 100px);
		}

		span {
			vertical-align: top;
		}

		.el-textarea {
			width: calc(100% - 120px);
		}

		.tree {
			width: calc(50% - 60px);
			display: inline-block;
			margin-right: 20px;
			height: 300px;
			overflow-y: scroll;

			.el-icon-error {
				float: right;
				font-size: 20px;
				margin-top: 9px;
				cursor: pointer;
			}
		}

		.treeUser {
			margin: 0;
			border: 1px solid #ddd;

			p {
				background: #f4f4f4;
				padding: 0 20px;
				margin-bottom: 5px;
			}
		}

		.treeUserb {
		    width: calc(100% - 100px);
		    border: 1px solid #ddd;
		    background: #f4f4f4;
		    border-radius: 3px;
		    height: auto;
		    overflow: hidden;

		    p {
		        display: inline-block;
		        padding: 0 20px;
		        margin-bottom: 5px;
		    }
		}
	}

	.adv-type {
		margin-top: 20px;
		display: flex;
		justify-content: space-between;
		flex-wrap: wrap;
		// border: 1px solid #ddd;
		border-radius: 5px;
		padding: 20px;
		box-shadow: 0 2px 12px 0 rgba(0, 0, 0, .1);

		div {
			width: 33%;
			text-align: center;
			height: 80px;
			overflow: hidden;
			min-width: 100px;
			cursor: pointer;
			padding-top: 10px;
			margin: 10px 0;
		}

		div:hover {
			background: #CFE8FC;
			border-radius: 5px;
		}

		span {
			width: 100%;
			display: inline-block;
			height: 40px;

			// line-height: 40px;
			i {
				color: #0074D9;
				font-size: 36px;
			}
		}
	}
</style>
